- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | Friends

# QGLColormap Class Reference

Search for all occurrences

## Detailed Description

Definition at line 54 of file qglcolormap.h.

`#include <qglcolormap.h>`

List of all members.

## Classes
struct | QGLColormapData
## Public Member Functions
| QGLColormap ()
| QGLColormap (const QGLColormap &)
| ~QGLColormap ()
QGLColormap & | operator= (const QGLColormap &)
bool | isEmpty () const
int | size () const
void | detach ()
void | setEntries (int count, const QRgb *colors, int base=0)
void | setEntry (int idx, QRgb color)
void | setEntry (int idx, const QColor &color)
QRgb | entryRgb (int idx) const
QColor | entryColor (int idx) const
int | find (QRgb color) const
int | findNearest (QRgb color) const
## Protected Member Functions
Qt::HANDLE | handle ()
void | setHandle (Qt::HANDLE ahandle)
## Friends
class | QGLWidget
class | QGLWidgetPrivate

## Constructor & Destructor Documentation

QGLColormap | ( |  | ) |

QGLColormap | ( | const QGLColormap & |  | ) |

~QGLColormap | ( |  | ) |

## Member Function Documentation

QGLColormap& operator= | ( | const QGLColormap & |  | ) |

bool isEmpty | ( |  | ) | const

Search for all occurrences

int size | ( |  | ) | const

Search for all occurrences

void detach | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 95 of file qglcolormap.h.

    {
        if (d->ref != 1)
            detach_helper();
    }

void setEntries | ( | int | count,
|  | const QRgb * | colors,
|  | int | base = `0`
| ) |  |

Search for all occurrences

void setEntry | ( | int | idx,
|  | QRgb | color
| ) |  |

Search for all occurrences

void setEntry | ( | int | idx,
|  | const QColor & | color
| ) |  |

Search for all occurrences

QRgb entryRgb | ( | int | idx | ) | const

Search for all occurrences

QColor entryColor | ( | int | idx | ) | const

Search for all occurrences

int find | ( | QRgb | color | ) | const

Search for all occurrences

int findNearest | ( | QRgb | color | ) | const

Search for all occurrences

Qt::HANDLE handle | ( |  | ) | `[inline, protected]`

Search for all occurrences

Definition at line 76 of file qglcolormap.h.

    { return d ? d->cmapHandle : 0; }

void setHandle | ( | Qt::HANDLE | ahandle | ) | `[inline, protected]`

Search for all occurrences

Definition at line 77 of file qglcolormap.h.

    { d->cmapHandle = ahandle; }

## Friends And Related Function Documentation

friend class QGLWidget `[friend]`

Search for all occurrences

Definition at line 91 of file qglcolormap.h.

friend class QGLWidgetPrivate `[friend]`

Search for all occurrences

Definition at line 92 of file qglcolormap.h.

The documentation for this class was generated from the following file:

- QtOpenGL/qglcolormap.h

QGLColormap QGLColormap QGLColormap QGLColormap QGLColormap QGLColormap QGLColormap QGLColormap QGLColormap QGLColormap
QGLColormap QGLColormap QGLColormap QGLColormap QGLColormap QGLColormap QGLColormap QGLColormap QGLColormap QGLColormap